Subject: Re: bug#13402: 24.2.92 pretest: bugs in isearch-yank-line in info page. [Patch]

From: Juri Linkov <[email-masked]>
Date: Fri, 15 Feb 2013 12:10:45 +0200

>> Here is a patch for this change:
>
> Thanks, I'll test your patch now.

I noticed one problem: going to the next match with `C-s'
(isearch-repeat-forward) doesn't lazy-highlight the previous match
that was unhighlighted.  The previous match needs to be re-highlighted
and the next match unhighlighted.  But this requires performing the complete
round of lazy-highlighting all of lazy-matches on every `C-s' key press
that will cause significant slow down in lazy-highlighting because it will
remove the current optimization where `C-s' doesn't cause re-highlighting
of lazy-matches most of the time (when there is no scrolling or toggling
of search parameters).